# Method: customers.list

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list#body.ListCustomersResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list#body.aspect)

Lists the user's customer accounts.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Required. The maximum number of customers to show in a page of results. A number between 1 and 100 (inclusive). |
| `pageToken` | `string` A token specifying which result page to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for listing my customers.

| JSON representation ||
|---|---|
| ``` { "customers": [ { object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers#Company`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customers[]` | ``object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers#Company`)`` The customer accounts the calling user is a member of. |
| `nextPageToken` | `string` A token used to access the next page of results. Omitted if no further results are available. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).